# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterA
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterA
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedCharacterA

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# DetailedCharacterA

###

#### final case class DetailedCharacterA(bep: Long, cep: Long, unk1: Long, unk2: Long, unk3: Long, healthMax: Int, health: Int, unk4: Boolean, armor: Int, unk5: Long, staminaMax: Int, stamina: Int, max_field: Option[Long], unk6: Int, unk7: Int, unk8: Long, unk9: List[Int], certs: List[Certification]) extends StreamBitSize with Product with Serializable

A representation of a portion of an avatar's `ObjectCreateDetailedMessage` packet data.

bep

  the avatar's battle experience points, which determines his Battle Rank

cep

  the avatar's command experience points, which determines his Command Rank

healthMax

  for `x / y` of hitpoints, this is the avatar's `y` value; range is 0-65535

health

  for `x / y` of hitpoints, this is the avatar's `x` value; range is 0-65535

armor

  for `x / y` of armor points, this is the avatar's `x` value; range is 0-65535; the avatar's `y` armor points is tied to their exo-suit type

staminaMax

  for `x / y` of stamina points, this is the avatar's `y` value; range is 0-65535

stamina

  for `x / y` of stamina points, this is the avatar's `x` value; range is 0-65535

max_field

  unk; this field exists only when the player is wearing a mechanized assault exo-suit

certs

  the `List` of certifications

Source
  DetailedCharacterData.scala
See also

  `CharacterData`

  `CertificationType`

Linear Supertypes
Serializable, Product, Equals, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedCharacterA
2. Serializable
3. Product
4. Equals
5. StreamBitSize
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DetailedCharacterA(bep: Long, cep: Long, unk1: Long, unk2: Long, unk3: Long, healthMax: Int, health: Int, unk4: Boolean, armor: Int, unk5: Long, staminaMax: Int, stamina: Int, max_field: Option[Long], unk6: Int, unk7: Int, unk8: Long, unk9: List[Int], certs: List[Certification])

   bep

     the avatar's battle experience points, which determines his Battle Rank

   cep

     the avatar's command experience points, which determines his Command Rank

   healthMax

     for `x / y` of hitpoints, this is the avatar's `y` value; range is 0-65535

   health

     for `x / y` of hitpoints, this is the avatar's `x` value; range is 0-65535

   armor

     for `x / y` of armor points, this is the avatar's `x` value; range is 0-65535; the avatar's `y` armor points is tied to their exo-suit type

   staminaMax

     for `x / y` of stamina points, this is the avatar's `y` value; range is 0-65535

   stamina

     for `x / y` of stamina points, this is the avatar's `x` value; range is 0-65535

   max_field

     unk; this field exists only when the player is wearing a mechanized assault exo-suit

   certs

     the `List` of certifications

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val armor: Int
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val bep: Long
7.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     DetailedCharacterA → StreamBitSize
8.  val cep: Long
9.  val certs: List[Certification]
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val health: Int
15.  val healthMax: Int
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val max_field: Option[Long]
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  val stamina: Int
23.  val staminaMax: Int
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  val unk1: Long
26.  val unk2: Long
27.  val unk3: Long
28.  val unk4: Boolean
29.  val unk5: Long
30.  val unk6: Int
31.  val unk7: Int
32.  val unk8: Long
33.  val unk9: List[Int]
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped